SDL_GetGamepadMappingForGUID(3)

NAME
SDL_GetGamepadMappingForGUID - Get the gamepad mapping string for a given GUID.

SYNOPSIS
#include <SDL3/SDL_gamepad.h>

char * SDL_GetGamepadMappingForGUID(SDL_GUID guid);

FUNCTION PARAMETERS

guid
    a structure containing the GUID for which a mapping is desired.

RETURN VALUE
Returns a mapping string or NULL on failure; call SDL_GetError() for more information. This should be freed with SDL_free() when it is no longer needed.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetJoystickGUIDForID(3), SDL_GetJoystickGUID(3)